%define upstream_name    constant
%define upstream_version 1.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Define compile-time constants
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

Provides:   perl(constant)

%description
This pragma allows you to declare constants at compile-time.

When you declare a constant such as 'PI' using the method shown above, each
machine your script runs upon can have as many digits of accuracy as it can
use. Also, your program will be easier to read, more likely to be
maintained (and maintained correctly), and far less likely to send a space
probe to the wrong planet because nobody noticed the one equation in which
you wrote '3.14195'.

When a constant is used in an expression, Perl replaces it with its value
at compile time, and may then optimize the expression further. In
particular, any code in an 'if (CONSTANT)' block will be optimized away if
the constant is false.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.330.0-5.mga8
+ Revision: 1493582
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.330.0-4.mga7
+ Revision: 1266672
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.330.0-3.mga6
+ Revision: 1024321
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.330.0-2.mga6
+ Revision: 968148
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.330.0-1.mga6
+ Revision: 851362
- update to 1.33

* Wed Oct 15 2014 umeabot <umeabot> 1.270.0-4.mga5
+ Revision: 746432
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.270.0-3.mga5
+ Revision: 687021
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.270.0-2.mga4
+ Revision: 536963
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.270.0-1.mga4
+ Revision: 486029
- update to 1.27

* Wed Mar 27 2013 jquelin <jquelin> 1.240.0-3.mga3
+ Revision: 405589
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.240.0-2.mga3
+ Revision: 375426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.240.0-1.mga3
+ Revision: 341870
- update to 1.24
+ kharec <kharec>
- update to 1.21

* Sat Jun 11 2011 spuhler <spuhler> 1.190.0-2.mga2
+ Revision: 104029
- increase rel for rebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.190.0-1.mga1
+ Revision: 22210
- cleaning spec file
- imported package perl-constant

